%global momorel 2

%global xfce4ver 4.6.0

Summary:        Screenshot utility for the Xfce desktop
Name:           xfce4-screenshooter
Version:        1.5.1
Release:        %{momorel}m%{?dist}

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://goodies.xfce.org/projects/applications/%{name}
Source0:        http://goodies.xfce.org/releases/%{name}/%{name}-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libxfcegui4-devel >= %{xfce4ver}
BuildRequires:  perl-XML-Parser
BuildRequires:  gettext intltool desktop-file-utils

%description
The Xfce Screenshooter utility allows you to capture the entire screen, the 
active window or a selected region. You can set the delay that elapses before 
the screenshot is taken and the action that will be done with the screenshot: 
save it to a PNG file, copy it to the clipboard, or open it using another 
application.

%package        plugin
Summary:        Screenshot utility for the Xfce panel
Group:          User Interface/Desktops
BuildRequires:  xfce4-panel-devel >= %{xfce4ver}
Requires:       %{name} = %{version}-%{release}
Requires:       xfce4-panel >= %{xfce4ver}

%description    plugin
The Xfce Screenshooter plugin allows you to take screenshots from the Xfce 
panel.


%prep
%setup -q
# KDE and GNOME have their own screenshot utilis
echo "NotShowIn=KDE;GNOME;" >> src/xfce4-screenshooter.desktop.in.in

%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}
desktop-file-install --vendor ""                                \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        --delete-original                                       \
        --add-only-show-in=XFCE                                 \
        ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
        %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
        %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/xfce4-screenshooter
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/applets-screenshooter.svg
%{_datadir}/xfce4/doc/*/images/%{name}-dialog.png
%{_datadir}/xfce4/doc/*/%{name}.html
%{_mandir}/man1/*.*

%exclude %{_datadir}/icons/hicolor/*/apps/applets-screenshooter.png
# Mo: into list excludes by conflicts with gnome-icon-theme

%files plugin
%defattr(-,root,root,-)
%{_libexecdir}/xfce4/panel-plugins/%{name}-plugin
%{_datadir}/xfce4/panel-plugins/*.desktop


%changelog
* Thu Jun 18 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.5.1-2m)
- add only show in XFCE

* Sun Mar  1 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.5.1-1m)
- import from Fedora to Momonga

* Wed Feb 25 2009 Christoph Wickert <cwickert@fedoraproject.org> - 1.5.1-1
- Update to 1.5.1.
- Built for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 18 2009 Christoph Wickert <cwickert@fedoraproject.org> - 1.5.0-1
- Update to 1.5.0 on Xfce 4.5.93.

* Fri Jan 02 2009 Christoph Wickert <cwickert@fedoraproject.org> - 1.4.90.0-1
- Update to 1.4.90.0
- Split package into standalone app and panel plugin

* Thu Nov 27 2008 Christoph Wickert <cwickert@fedoraproject.org> - 1.4.0-1
- Update to 1.4.0

* Wed Aug 27 2008 Christoph Wickert <cwickert@fedoraproject.org> - 1.3.2-1
- Update to 1.3.2

* Wed Aug 27 2008 Christoph Wickert <cwickert@fedoraproject.org> - 1.3.2-1
- Update to 1.3.2

* Fri Jul 18 2008 Christoph Wickert <cwickert@fedoraproject.org> - 1.3.1-1
- Update to 1.3.1

* Wed Jul 16 2008 Christoph Wickert <cwickert@fedoraproject.org> - 1.3.0-1
- Update to 1.3.0

* Thu Jul 03 2008 Christoph Wickert <cwickert@fedoraproject.org> - 1.2.0-1
- Update to 1.2.0
- Include new xfce4-screenshooter manpage

* Sat Jun 22 2008 Christoph Wickert <cwickert@fedoraproject.org> - 1.1.0-1
- Update to 1.1.0
- BR gettext

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.0.0-7
- Autorebuild for GCC 4.3

* Sat Aug 25 2007 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.0-6
- Change license tag to GPLv2+

* Sat Apr 28 2007 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.0-5
- Rebuild for Xfce 4.4.1

* Sun Jan 28 2007 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.0-4
- Rebuild for XFCE 4.4.

* Thu Oct 05 2006 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.0-3
- Bump release for devel checkin.

* Wed Sep 13 2006 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.0-2
- Rebuild for XFCE 4.3.99.1.
- BR perl(XML::Parser).

* Mon Sep 04 2006 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.0-1
- Update to 1.0.0 on XFCE 4.3.90.2.

* Mon Sep 04 2006 Christoph Wickert <cwickert@fedoraproject.org> - 0.0.8-4
- Mass rebuild for Fedora Core 6.

* Tue Apr 11 2006 Christoph Wickert <fedora.wickert@arcor.de> - 0.0.8-3
- Require xfce4-panel.

* Thu Feb 16 2006 Christoph Wickert <fedora.wickert@arcor.de> - 0.0.8-2
- Rebuild for Fedora Extras 5.

* Sat Jan 21 2006 Christoph Wickert <fedora.wickert@arcor.de> - 0.0.8-1
- Initial Fedora Extras version.
